Search events by type
Return recent events of one type across the workspace.
curl -X GET "https://api.flameup.ai/api/v1/events/search?event=example_string&since=2024-12-25T10%3A00%3A00Z&limit=50" \
-H "Content-Type: application/json" \
-H "Authorization: Bearer YOUR_API_TOKEN"
import requests
import json
url = "https://api.flameup.ai/api/v1/events/search?event=example_string&since=2024-12-25T10%3A00%3A00Z&limit=50"
headers = {
"Content-Type": "application/json",
"Authorization": "Bearer YOUR_API_TOKEN"
}
response = requests.get(url, headers=headers)
print(response.json())
const response = await fetch("https://api.flameup.ai/api/v1/events/search?event=example_string&since=2024-12-25T10%3A00%3A00Z&limit=50", {
method: "GET",
headers: {
"Content-Type": "application/json",
"Authorization": "Bearer YOUR_API_TOKEN"
}
});
const data = await response.json();
console.log(data);
package main
import (
"fmt"
"net/http"
)
func main() {
req, err := http.NewRequest("GET", "https://api.flameup.ai/api/v1/events/search?event=example_string&since=2024-12-25T10%3A00%3A00Z&limit=50", nil)
if err != nil {
panic(err)
}
req.Header.Set("Content-Type", "application/json")
req.Header.Set("Authorization", "Bearer YOUR_API_TOKEN")
client := &http.Client{}
resp, err := client.Do(req)
if err != nil {
panic(err)
}
defer resp.Body.Close()
fmt.Println("Response Status:", resp.Status)
}
require 'net/http'
require 'json'
uri = URI('https://api.flameup.ai/api/v1/events/search?event=example_string&since=2024-12-25T10%3A00%3A00Z&limit=50')
http = Net::HTTP.new(uri.host, uri.port)
http.use_ssl = true
request = Net::HTTP::Get.new(uri)
request['Content-Type'] = 'application/json'
request['Authorization'] = 'Bearer YOUR_API_TOKEN'
response = http.request(request)
puts response.body
{
"success": true,
"events": [
{
"id": "example_string",
"type": "purchase_completed",
"person_id": "123e4567-e89b-12d3-a456-426614174000",
"parameters": {},
"created_at": "2024-12-25T10:00:00Z"
}
],
"total": 42
}
GET
/events/search
GET
Base URLstring
Target server for requests. Edit to use your own host.
Bearer Token
Bearer Tokenstring
RequiredYour Flameup API key (passed as Bearer token)
Your Flameup API key (passed as Bearer token)
query
eventstring
RequiredThe event name to search for.
query
sincestring
Only return events at or after this time (RFC 3339).
Format: date-time
query
limitinteger
Capped at 500 — a larger value is silently reduced, not rejected.
Max: 500
Request Preview
Response
Response will appear here after sending the request
Authentication
header
Authorizationstring
RequiredBearer token. Your Flameup API key (passed as Bearer token)
Query Parameters
eventstring
RequiredThe event name to search for.
sincestring
Only return events at or after this time (RFC 3339).
limitinteger
Capped at 500 — a larger value is silently reduced, not rejected.
Responses
successboolean
eventsarray
totalinteger
Was this page helpful?